---
title: "Historical contract: Edit Business Delivery Zone"
description: "Historical Ordering.co API contract for PUT /business/{business_id}/deliveryzones/{deliveryzone_id}, kept for reference."
canonical: https://docs.ordering.co/api-reference/guides/history/update-delivery-zone/
---

# Historical contract: Edit Business Delivery Zone

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Edit Business Delivery Zone

This API endpoint is used to update a delivery zone.

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/business/PUT/business/%7Bbusiness_id%7D/deliveryzones/%7Bdeliveryzone%7D)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "business_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  },
  {
    "name": "deliveryzone_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "type": {
            "type": "integer",
            "format": "int32"
          },
          "address": {
            "type": "string"
          },
          "data": {
            "type": "string",
            "format": "json"
          },
          "dropdown_option_id": {
            "type": "integer",
            "format": "int32"
          },
          "price": {
            "type": "number",
            "format": "float"
          },
          "minimum": {
            "type": "number",
            "format": "float"
          },
          "schedule": {
            "type": "string",
            "format": "json"
          },
          "enabled": {
            "type": "number",
            "format": "double"
          },
          "businesses": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int32"
            }
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"id\": 43,\n    \"business_id\": \"<redacted-id>\",\n    \"name\": \"<redacted-personal>\",\n    \"type\": \"1\",\n    \"address\": null,\n    \"data\": {\n      \"center\": {\n        \"lat\": 40.801915118240785,\n        \"lng\": -73.94572904232791\n      },\n      \"radio\": 0.34316055458809697\n    },\n    \"dropdown_option_id\": null,\n    \"price\": 1.2,\n    \"minimum\": 1,\n    \"schedule\": [\n      {\n        \"enabled\": true,\n        \"lapses\": [\n          {\n            \"open\": {\n              \"hour\": 0,\n              \"minute\": 0\n            },\n            \"close\": {\n              \"hour\": 23,\n              \"minute\": 59\n            }\n          }\n        ]\n      },\n      {\n        \"enabled\": true,\n        \"lapses\": [\n          {\n            \"open\": {\n              \"hour\": 0,\n              \"minute\": 0\n            },\n            \"close\": {\n              \"hour\": 23,\n              \"minute\": 59\n            }\n          }\n        ]\n      },\n      {\n        \"enabled\": true,\n        \"lapses\": [\n          {\n            \"open\": {\n              \"hour\": 0,\n              \"minute\": 0\n            },\n            \"close\": {\n              \"hour\": 23,\n              \"minute\": 59\n            }\n          }\n        ]\n      },\n      {\n        \"enabled\": true,\n        \"lapses\": [\n          {\n            \"open\": {\n              \"hour\": 0,\n              \"minute\": 0\n            },\n            \"close\": {\n              \"hour\": 23,\n              \"minute\": 59\n            }\n          }\n        ]\n      },\n      {\n        \"enabled\": true,\n        \"lapses\": [\n          {\n            \"open\": {\n              \"hour\": 0,\n              \"minute\": 0\n            },\n            \"close\": {\n              \"hour\": 23,\n              \"minute\": 59\n            }\n          }\n        ]\n      },\n      {\n        \"enabled\": true,\n        \"lapses\": [\n          {\n            \"open\": {\n              \"hour\": 0,\n              \"minute\": 0\n            },\n            \"close\": {\n              \"hour\": 23,\n              \"minute\": 59\n            }\n          }\n        ]\n      },\n      {\n        \"enabled\": true,\n        \"lapses\": [\n          {\n            \"open\": {\n              \"hour\": 0,\n              \"minute\": 0\n            },\n            \"close\": {\n              \"hour\": 23,\n              \"minute\": 59\n            }\n          }\n        ]\n      }\n    ],\n    \"enabled\": true,\n    \"created_at\": \"2018-11-24 15:03:55\",\n    \"updated_at\": \"2018-11-24 15:17:00\",\n    \"deleted_at\": null\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "example": 43,
                  "default": 0
                },
                "business_id": {
                  "type": "string",
                  "example": "<redacted-id>"
                },
                "name": {
                  "type": "string",
                  "example": "<redacted-personal>"
                },
                "type": {
                  "type": "string",
                  "example": "1"
                },
                "address": {},
                "data": {
                  "type": "object",
                  "properties": {
                    "center": {
                      "type": "object",
                      "properties": {
                        "lat": {
                          "type": "number",
                          "example": 40.801915118240785,
                          "default": 0
                        },
                        "lng": {
                          "type": "number",
                          "example": -73.94572904232791,
                          "default": 0
                        }
                      }
                    },
                    "radio": {
                      "type": "number",
                      "example": 0.34316055458809697,
                      "default": 0
                    }
                  }
                },
                "dropdown_option_id": {},
                "price": {
                  "type": "number",
                  "example": 1.2,
                  "default": 0
                },
                "minimum": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "schedule": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "enabled": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "lapses": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "open": {
                              "type": "object",
                              "properties": {
                                "hour": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "minute": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                }
                              }
                            },
                            "close": {
                              "type": "object",
                              "properties": {
                                "hour": {
                                  "type": "integer",
                                  "example": 23,
                                  "default": 0
                                },
                                "minute": {
                                  "type": "integer",
                                  "example": 59,
                                  "default": 0
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "enabled": {
                  "type": "boolean",
                  "example": true,
                  "default": true
                },
                "created_at": {
                  "type": "string",
                  "example": "2018-11-24 15:03:55"
                },
                "updated_at": {
                  "type": "string",
                  "example": "2018-11-24 15:17:00"
                },
                "deleted_at": {}
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"The delivery zone could not be updated.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "The delivery zone could not be updated."
              }
            }
          }
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"You do not have permission.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "You do not have permission."
              }
            }
          }
        }
      }
    }
  }
}
```
